
/* misc.css */

/* ... ce_text ...
-----------------------------------------------*
.ce_text.has_figure {
	display: grid;
	grid-template-columns: auto 1fr;
	gap: 0 1em;
}
.ce_text > h1,
.ce_text > h2,
.ce_text > h3,
.ce_text > h4,
.ce_text > h5,
.ce_text > h6 {
  grid-column: 1/-1;
}
.ce_text > figure {
  grid-row: 1/span 9;
}
.ce_text.has_headline > figure {
  grid-row: 2/span 9;
}
.ce_text > figure ~ * {
  grid-column: 2/-1;
}
/* ... ce_text ... END
-----------------------------------------------*/



/* ... Sitemap ...
-----------------------------------------------*/
.mod_sitemap ul {
  line-height: 2;
}
/* ... Sitemap ... END
-----------------------------------------------*/



/* ... Suche ...
-----------------------------------------------*/
.search_main .formbody {
	display: grid;
	grid-template-columns: 1fr auto;
	gap: 1em 0;
	max-width: 490px;
}
.search_main .widget-text {
  max-width: calc(490px - 32px);
}
.search_main input[type=search] {
	font: inherit;
	width: 100%;
	padding: .1em .2em;
	background-color: var(--brand-color-2-lightest);
	border: 1px solid var(--border-color);
	border-right-width: 0;
	transition: all .2s ease-in 0s;
}
.search_main input[type=search]:focus {
	background-color: var(--bg-color-light);
}
.search_main button.submit {
	font: inherit;
	padding: .1em 0;
	width: 32px;
	height: 100%;
	background-color: var(--brand-color-2-lightest);
	border: 1px solid var(--border-color);
	border-left-width: 0;
	text-indent: 100%;
	overflow: hidden;
	cursor: pointer;
}
.widget.widget-radio {
  grid-column: 1/-1;
}
.search_main .header {
  font-size: .9em;
}
.search_main .header strong {
  font-size: 1.1em;
	font-weight: bold;
	color: var(--font-color-dimmed);
}
.search_main .info {
	font-size: .9em;
	max-width: none;
}
.search_main h3 {
	display: flex;
	flex-direction: column;
}
.search_main .relevance {
	color: var(--font-color-dimmed);
	font-size: .7em;
	align-self: flex-start;
}
.search_main .context {
	margin-bottom: .5em;
}
.search_main .url {
	font-size: .8em;
	color: var(--font-color-dimmed);
  max-width: none;
}
.search_main .filesize {
	display: none;
}
.search_main .pagination {
	margin-top: 2em;
}
/* ... Suche ... END
-----------------------------------------------*/



/* ... Gallery ...
-----------------------------------------------*/
.ce_gallery > ul {
  --grid-gap: .5rem;
  --img-min-width: 234px; /* default*/
}
.ce_gallery .cols_1 {
  --img-min-width: 483px;
}
.ce_gallery .cols_2 {
  --img-min-width: 317px;
}
.ce_gallery .cols_3 {
  --img-min-width: 234px;
}
.ce_gallery .cols_4 {
  --img-min-width: 184px;
}
.ce_gallery .cols_5 {
  --img-min-width: 151px;
}
.ce_gallery .cols_6 {
  --img-min-width: 127px;
}

.ce_gallery > ul {
	padding: 0;
	list-style: none;
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(var(--img-min-width), 1fr));
	gap: calc(var(--grid-gap) + (var(--img-min-width) / 20));
	justify-items: center;
	align-items: center;
}
.ce_gallery > ul li {
	margin: 0;
}
/* ... Gallery ... END
-----------------------------------------------*/



/* ... Accordion ...
-----------------------------------------------*/
.ce_accordion {
  margin-bottom: 5px;
}
.ce_accordion .toggler,
.fe_filter h3 {
	border: 1px solid var(--border-color);
  position: relative;
	padding: .25em .5em;
	background-color: var(--menu-default-bg);
	color:            var(--menu-default-color);
	cursor: pointer;
  transition: all .1s ease-in 0s;

}
.fe_filter h3 {
	margin: 0 0 5px;
  font-size: 1em;
}
.fe_filter h3.used {
	background-color: var(--menu-trail-bg);
	color:            var(--menu-trail-color);
}
.ce_accordion .toggler::after,
.fe_filter h3::after {
	content: '\25b8';
	position: absolute;
	width: 1.5em;
	inset: 0;
	left: auto;
	display: flex;
	justify-content: center;
	align-items: center;
}
.ce_accordion .toggler:is(:focus, :hover, :active, .active),
.fe_filter h3:is(:focus, :hover, :active, .active) {
	background-color: var(--menu-hover-bg);
	color:            var(--menu-hover-color);
}
.ce_accordion .toggler.active,
.fe_filter h3.active {
	background-color: var(--menu-active-bg);
	color:            var(--menu-active-color);
}
.ce_accordion .toggler:is(:focus, :hover, :active, .active)::after,
.fe_filter h3:is(:focus, :hover, :active, .active)::after {
	content: '\25be';
}
.accordion {
	padding: 1em;
	border: 1px solid var(--border-color);
  border-top-width: 0;
  margin-bottom: 1em;
}
/* ... Accordion ... END
-----------------------------------------------*/



/* ... Misc ...
-----------------------------------------------*/
.tiles .read_more {
	align-self: flex-start;
}
.tiles .read_more a {
  display: block;
}
.ce_youtube,
.ce_vimeo,
.ce_player {
	width: min(668px, 100%);
}
.read_more a:is(:link, :visited, :focus, :hover, :active) {
	padding: .25em .5em;
	background-color: rgb(255 255 255 / .8);
	color: var(--link-color);
  text-decoration: none;
}
.read_more a:is(:focus, :hover, :active) {
	background-color: rgb(255 255 255 / 1);
}
/* ... Misc ... END
-----------------------------------------------*/

